apex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ravi kanth"<ravikanth....@gmail.com>
Subject Netty Jar conflict with cdh 5.10.1 and DT RTS 3.3.0
Date Sat, 06 May 2017 19:08:23 GMT
I have a Streaming Application using Apex & Data Torrent RTS libraries compatible for CDH
5.7.1 and DT 3.3.0. Now, I upgraded my cluster to CDH 5.10.1. Everything is good till now.
The problem is my Apex application is not picking up the netty jar from DataTorrent libraries(netty
jar 3.6.6), instead from Cloudera 5.10.1 libraries(netty jar 3.10.5) as it is a higher version.
Because of this version conflict, apex application is failing to start throwing "Class not
found exception.". What can be done in this scenario?

P.S: I upgraded to DT 3.8 but I see there is no netty provided by DT instead they have only
newly. 
Thanks.
Ravi

Mime
View raw message